APIRules
Validate MCP call condition
Validate a CEL condition against the MCP call schema.
POST
Validate a CEL condition against the MCP call schema.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
No permission required.
application/json- body
expression*stringCEL expression to validate
Length
1 <= lengthThe request has succeeded.
application/json- response
valid*booleanWhether the expression is valid
error?stringHuman-readable error message if invalid
position?integerCharacter offset of the error in the expression
Format
int32curl -X POST 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/rules/scopes/mcp-call/conditions/validate' \ -H 'Content-Type: application/json' \ -d '{ "expression": "string"}'Example Response
{ "valid": true, "error": "string", "position": 0}